html,body,svg,div{
  margin:0;
  padding:0;
}
html,body{
  width:100%;
  height:100%;
  overflow:hidden;
  background:#aaa;
}
#myLayer{
  display:block;
  position:absolute;
  margin:0;
  padding:0;
  z-index:10;
  width:100%;
  height:100%;
}

/* SVG style */
svg{
  transform-origin: top center;
}
/*
svg path{
  transition-duration: .2s;
}*/
.water{
  fill:#eee;
  stroke:#ffffff;
  stroke-width:0.3;
}
.others{
  fill:#888;
  stroke:#ffffff;
  stroke-width:0.3;
}
.learning{
  fill:#222;
  stroke:#ffffff;
  stroke-width:0.3;
}
.active{
  fill:#f00;
  stroke:#ffffff;
  stroke-width:0.3;
}
.learnt{
  fill:#666;
  stroke:#ffffff;
  stroke-width:0.3;
}
svg text{
  user-select: none;
}

/* Credits style */
#credit{
  position:absolute;
  bottom:0;
  right:0;
  color:#222;
  font-size:.15rem;
  /*background:linear-gradient(transparent, #aaa 50%);*/
  background:rgba(255,255,255,0.8);
  margin:0;
  padding:0 .3rem;
  display: table-cell;
  vertical-align: bottom;
  z-index:200;
  user-select: none;
}
#credit a{
  color:#55f;
  text-decoration:none
}

/* Dialog box style */
.dialog-overlay{
  width:100%;
  height:100%;
  z-index:50;
  position:absolute;
  top:0;
  left:0;
  display:flex;
  justify-content: center; /* 子要素をflexboxにより中央に配置する */
  align-items: center;  /* 子要素をflexboxにより中央に配置する */
}
.dialog-wrapper{
  width:95%;
  max-width:350px;
  min-height: 100px;
  border-radius:20px;
  margin:auto;
  padding:0;
  display:flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  box-shadow:0 0 10px rgba(0,0,0,.3);
  text-shadow:0 0 5px white;
  opacity:1;
  /*transition-duration: 1s;*/
}
.dialog-inner{
  background:rgba(256,256,256,0.6);
  backdrop-filter: blur(8px);
  -webkit-backdrop-filter: blur(8px);
  width:100%;
  height:100%;
}
.dialog-contents{
  margin:20px;
}
.dialog-buttons{
  margin:0;
  margin-top:auto;
  display:flex;
  width:100%;
}
.longBtn{
  flex-direction: column;
}
.dialog-buttons a{
  display: block;
  width:100%;
  height:100%;
  text-align:center;
  border-top:1px gray solid;
  border-left:1px gray solid;
  color:#4b88ff;
  text-decoration: none;
  cursor: pointer;
  user-select: none;
}
.dialog-buttons a, .dialog-contents{
  font-size:22px;
  line-height: 45px;
}
.longBtn a{
  border-left:none;
}
.dialog-buttons a:first-child{
  border-left:0;
}

/* Dialog contents */
#dialog_hidden{
  display:none;
}
.dialog-wrapper h1, .dialog-wrapper h2{
  font-size:100%;
}
.dialog-wrapper footer{
  width:100%;
  text-align:center;
}
.categorySelect{
  list-style:none;
  padding:0;
  columns: 2;
  line-height: normal;
}
#recommend ul{
  list-style: circle;
  margin:0;
  padding:0;
  padding-left: 1em;
  font-size:80%;
  line-height: normal;
}
#recommend a{
  color:#55f;
}
#ansBox h1{
  width:100%;
  text-align:center;
  margin-bottom:0;
}
#ansBox p{
  width:100%;
  text-align:center;
  margin-top:.5rem;
}
#ansBox p ruby{
  ruby-position:under;
}
#ansBox #flag{
  filter:drop-shadow(0 0 5px rgba(0,0,0,0.3));
  margin:auto;
}

#ansBox dl{
  font-size:70%;
  line-height: normal;
  color:#444;
  width:100%;
  display:flex;
  flex-wrap: wrap;
  box-sizing: border-box;
}
#ansBox dt{
  width:40%;
  text-align:right;
  margin:0;
  box-sizing: border-box;
}
#ansBox dd{
  width:60%;
  margin:0;
  box-sizing: border-box;
}
